Support » Fixing WordPress » Fatal Error on Plug-in Activation

  • I have attempted to activate three different plugins that give me the same message: “plugin could not be activated because it created a fatal error.” That’s all I get no further information.

    They are:

    “now reading”
    “wp-postrating”
    “post star rating”

    All other plugins I’ve activated since upgrading to WP2.2 have worked without a hitch.

    Any thoughts on how to troubleshoot, I’d really like to get the now reading plugin to work, the others I don’t care as much about?

Viewing 4 replies - 1 through 4 (of 4 total)
  • There is a good shot that the plugins that are giving fatal errors are simply not compatible with 2.2. They’ve changed some things about how you make plugins and I suspect that the old methods now do that fatal error statement.

    I have been going nuts with the fatal errors. I found this remark in Alex Rabe’s FAQ for NextGen Gallery

    When I try to activate the plugin I get the message : “Plugin could not be activated because it triggered a fatal error.”

    This problem could happened if you have a low memory_limit in your php environment and a lot of plugins installed. For a simple test deactivate all other plugins and try then to activate NextGEN Gallery again. Please check also if you have a minimum memory_limit of 16Mbyte (as much as possible).

    After increasing my php memory from 8mb to 16mb, the issues went away.

    If you know how to get details about errors that happened on plugins, please let me know. I could not make the plugin work downloaded from “http://www.justinshattuck.com/comment-relish/”
    Thanks. Michael

    Where do you go to change php memory?

    Please check also if you have a minimum memory_limit of 16Mbyte (as much as possible).

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Fatal Error on Plug-in Activation’ is closed to new replies.